Bug 1626139 - [RFE] All-in-One in Production (templates and testing of single node deployment)
Summary: [RFE] All-in-One in Production (templates and testing of single node deployment)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M1
: 15.0 (Stein)
Assignee: Alex Schultz
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1476902 1626141
TreeView+ depends on / blocked
 
Reported: 2018-09-06 16:08 UTC by Jaromir Coufal
Modified: 2019-09-26 10:46 UTC (History)
12 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190613030415.8ba51e6.el8ost
Doc Type: Enhancement
Doc Text:
In Red Hat OpenStack Platform 15, a new role and environment file have been added to enable the undercloud to deploy an all-in-one overcloud node that contains both the controller services and compute services. The new role and the new environment file are named, respectively, roles/Standalone.yaml and environments/standalone/standalone-overcloud.yaml. Because this new architecture does not yet support high availability, Red Hat cannot guarantee zero down time during RHOSP 15 updates and upgrades. For this reason, Red Hat highly recommends that you properly back up your system.
Clone Of:
: 1626141 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:18:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 605156 0 'None' MERGED Update standalone role 2021-01-07 13:58:55 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:12 UTC

Description Jaromir Coufal 2018-09-06 16:08:16 UTC
We need to provide templates to fully test production architecture of single node deployment (all-in-one), with director being a separate node.

This architecture should replace our current CI scenario of 1 controller + 1 compute.

Comment 3 Alex Schultz 2018-09-06 17:07:36 UTC
We may be able to reuse the role we generated for the standalone installer (no undercloud), but need to confirm that the expected service list matches what is desired for this deployment.

https://github.com/openstack/tripleo-heat-templates/blob/master/roles/Standalone.yaml

We need a complete list of services that we would expect that could possibly be deployed in this architecture (1undercloud+1node).  Additionally do we need Ceph support?

Comment 6 Alex Schultz 2018-09-25 17:41:14 UTC
The OpenStack services that will be enabled by default are:

 * Keystone
 * Nova (and related)
 * Neutron (and related)
 * Glance
 * Cinder
 * Swift
 * Horizon

The default configurations are assumed for each of those unless the user provides additional environment files.

Comment 11 Victor Voronkov 2019-04-03 14:40:43 UTC
I suppose we have to supply hardware requirements for such all-in-one machine in documentation (also need that info for automation infrastructure to define proper VM)
Additionally - what about ceph support? Do we plan to support it in any configuration?

Comment 12 Alex Schultz 2019-04-03 14:59:47 UTC
So this configuration is 1 undercloud + 1 all-in-one node. Ceph should work if properly configured though this configuration is not HA in any way so it's up to the user to understand this. The supportability of ceph in this architecture will need to come from the storage folks. The framework should support deploying it. Ideally the minimum hardware for a CI test would be the standard undercloud config + 1 overcloud node with 16GB ram + 4 vcpu.  The actual requirements for the node would depend on the users expected load.

Comment 19 errata-xmlrpc 2019-09-21 11:18:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.